id: https://w3id.org/gaia-x/development#pxe-image
name: pxe-image
prefixes:
  gx: https://w3id.org/gaia-x/development#
  linkml: https://w3id.org/linkml/
imports:
  - image
  - slots
default_prefix: gx
default_range: string

classes:

  PXE_Image:
    is_a: Image
    title: PXE image
    description: PXE image for physical machines.
    slots:
      - pxeImageDiskFormat

enums:

  PXE_DiskType:
    permissible_values:
      WINPE: null
      ISO: null
